﻿using System;
using System.Linq;

namespace ComboAcceptBug
{
    public class ViewModel : ObservableObject
    {
        public ViewModel()
        {
            //Load Data
            DeviceTagValues.Add(new DeviceTagValue { Id = "A77", Description = "A77", FeederId = "BM11", TagId = "A" });
            DeviceTagValues.Add(new DeviceTagValue { Id = "A98", Description = "A98", FeederId = "BM11", TagId = "A" });
            DeviceTagValues.Add(new DeviceTagValue { Id = "A56", Description = "A56", FeederId = "BM11", TagId = "A" });
            DeviceTagValues.Add(new DeviceTagValue { Id = "A56", Description = "A56", FeederId = "BM12", TagId = "A" });
            DeviceTagValues.Add(new DeviceTagValue { Id = "A122", Description = "A122", FeederId = "BM11", TagId = "A" });
            DeviceTagValues.Add(new DeviceTagValue { Id = "C77", Description = "C77", FeederId = "BM11", TagId = "C" });
            DeviceTagValues.Add(new DeviceTagValue { Id = "C98", Description = "C98", FeederId = "BM11", TagId = "C" });
            DeviceTagValues.Add(new DeviceTagValue { Id = "C56", Description = "C56", FeederId = "BM11", TagId = "C" });
            DeviceTagValues.Add(new DeviceTagValue { Id = "C56", Description = "C56", FeederId = "BM12", TagId = "C" });
            DeviceTagValues.Add(new DeviceTagValue { Id = "C122", Description = "C122", FeederId = "BM11", TagId = "C" });
            DeviceTagValues.Add(new DeviceTagValue { Id = "F77", Description = "F77", FeederId = "BM11", TagId = "F" });
            DeviceTagValues.Add(new DeviceTagValue { Id = "F98", Description = "F98", FeederId = "BM11", TagId = "F" });
            DeviceTagValues.Add(new DeviceTagValue { Id = "F56", Description = "F56", FeederId = "BM11", TagId = "F" });
            DeviceTagValues.Add(new DeviceTagValue { Id = "F56", Description = "F56", FeederId = "BM12", TagId = "F" });
            DeviceTagValues.Add(new DeviceTagValue { Id = "F122", Description = "F122", FeederId = "BM11", TagId = "F" });

            //SelectedDeviceTagValue = DeviceTagValues.First();
        }



        private DeviceTagValueCollection _deviceTagValues;

        public DeviceTagValueCollection DeviceTagValues
        {
            get 
            {
                if (_deviceTagValues == null)
                {
                    _deviceTagValues = new DeviceTagValueCollection();
                }
                return _deviceTagValues; 
            }
            private set 
            {
                if (_deviceTagValues == value) return;
                
                _deviceTagValues = value;
                NotifyPropertyChanged("DeviceTagValues");
            }
        }


        public DeviceTagValue SelectedDeviceTagValue
        {
            get
            {
                return _selectedDeviceTagValue;
            }
            set
            {
                if (_selectedDeviceTagValue != value)
                {
                    _selectedDeviceTagValue = value;
                    NotifyPropertyChanged("SelectedDeviceTagValue");
                }
            }
        }
        private DeviceTagValue _selectedDeviceTagValue;



    }



}
